Installer OpenOffice2 sur Debian

De ClissXXI.

Sommaire

En utilisant les RPMs officiels

Tout d'abord nous devons recuperer l'archive depuis un des miroirs français:

(regardez sur ftp://ftp.free.fr/mirrors/ftp.openoffice.org/localized/fr/ s'il n'y a pas de nouvelle version)

La version 2.0.3 fournissait directement des .deb; la 2.0.4 a régressé, il fallait à nouveau passer par cet outil. La 2.1 et suivantes offrent à nouveau des .debs.

Si vous avez les .debs:

tar -xzvf OOo_2*_LinuxIntel_install_fr.tar.gz
cd DEBS/
dpkg -i *.deb

Si vous tombez sur une version qui n'a pas de .deb, nous allons devoir créer des fichiers .deb à partir des fichiers .rpm de l'archive. Pour cela nous avons besoin de alien. Si ce dernier n'est pas installé sur votre système:

aptitude install alien

Puis entrons les commandes suivantes:

# Décomprimer l'archive officielle
tar -xzvf OOo_2*_LinuxIntel_install_fr.tar.gz
tar -xzvf OOo_2*_LinuxIntel_langpack_fr.tar.gz
# Aller dans son dossier RPMS
cd OO*/RPMS
# Convertir les .rpm en .debs - soyez patient...
fakeroot alien --to-deb *.rpm

Une fois que vous avez vos .debs, directement ou créés par alien, installez-les:

dpkg --install *.deb desktop-integration/*.deb

C'est terminé... vous avez OpenOffice 2 sur votre machine.

Polices: utiliser la bibliothèque FreeType livrée avec OpenOffice

Le rendu des polices peut changer en fonction de la version de FreeType (2.2.x ou 2.3.x) et de la manière dont elle a été compilée (activation ou non de code utilisant des brevets déposée par Apple; ces brevets sont valides aux États-Unis mais pas en Europe, où les brevets logiciels ne sont pas admis).

Le plus simple pour l'instant est d'utiliser la version de FreeType livrée avec OpenOffice plutôt que celle du système. Il n'est pas exclus qu'il y ait des incompatibilités à terme (notamment, avec OpenJDK).

Procédure:

  • modifier /etc/openoffice.org2.4/program/soffice avec un éditeur de texte
  • vers la fin (après export PATH) ajouter:
# Cliss XXI: Use OpenOffice's freetype
export LD_LIBRARY_PATH=/opt/openoffice.org2.4/program/filter

Changer "2.4" pour refléter une nouvelle version d'OpenOffice, cas échéant.

Dans la version 3.0, libfreetype.so.6 n'est plus livrée, OOo s'appuie obligatoirement sur la version système.

Optionnel: régler les priorités des paquets

Il peut y avoir un conflit entre ces paquets installés localement et des sources telles que backports.org. Pour faire les choses proprement:

cd .../OO.../RPMS/
aptitude install apt-utils
apt-ftparchive packages . > Packages
mv Packages /etc/apt/OOo/

Puis dans /etc/apt/sources.list:

deb file:///etc/apt/OOo ./

Vous n'avez plus qu'à adapter vos priorités dans /etc/apt/preferences si besoin (implicitement: cette source a une priorité de 500).

Seul Packages est nécessaire: vous avez déjà installé les .deb, et ils ne sont pas prévus pour fonctionner avec aptitude (pas de dépendence entre les paquets) - donc pas besoin de copier les .deb dans /chemin/ooo-Packages. Cependant, leur présence sera utile si vous mettez à jour OOo: un simple aptitude upgrade remplacera le dpkg --install ....

Le language pack râle pour des problèmes d'écrasement de fichiers déjà présents dans l'installation classique. Il faut peut-être éviter de l'installer, en fin de compte.

Alternativement, en utilisant backports.org

Le composant Base (de données) de OpenOffice2 nécessite Java, mais il n'y a pas de paquet libre suffisant sous Sarge. On installera chaque composante séparemment:

aptitude -t sarge-backports install openoffice.org-writer openoffice.org-calc \
  openoffice.org-draw openoffice.org-impress \
  openoffice.org-gnome openoffice.org-l10n-fr

Cette version est la 2.0.1 (pas la 2.0.2). Elle est plus longue à lancer si on ne désactive pas Java (cf. ce message).

L'intérêt est qu'elle est mieux intégrée dans Debian (par exemple /usr/bin et non pas /opt/openoffice.org2.0/program/) et qu'on peut récupérer les eventuelles mises à jour via aptitude. Elle est considérée comme une mise à jour de la version 1 et ne peut donc pas cohabiter avec.

Pour des fonctionnalités supplémentaires,

aptitude show openoffice.org

présente un jeu de paquets à installer. Par exemple, la bibliothèque de cliparts openclipart-openoffice.org.

Liens

Outils personnels